From 6a108b9d306146396a30dcbfbc8c4cefb7b03d60 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sun, 21 Apr 2024 02:36:11 +0300
Subject: [PATCH 61/61] registry_ini.[ch]: Replace NULLs with nullptrs

See RM #494

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 utility/registry_ini.c | 847 +++++++++++++++++++++--------------------
 utility/registry_ini.h |  50 +--
 2 files changed, 454 insertions(+), 443 deletions(-)

diff --git a/utility/registry_ini.c b/utility/registry_ini.c
index 39bb10ff47..3ab1846ed6 100644
--- a/utility/registry_ini.c
+++ b/utility/registry_ini.c
@@ -12,7 +12,7 @@
 ***********************************************************************/
 
 /**************************************************************************
-  the idea with this file is to create something similar to the ms-windows
+  The idea with this file is to create something similar to the ms-windows
   .ini files functions.
   however the interface is nice. ie:
   secfile_lookup_str(file, "player%d.unit%d.name", plrno, unitno); 
@@ -195,7 +195,7 @@ struct entry {
   char *name;                   /* Name, not including section prefix. */
   enum entry_type type;         /* The type of the entry. */
   int used;                     /* Number of times entry looked up. */
-  char *comment;                /* Comment, may be NULL. */
+  char *comment;                /* Comment, may be nullptr. */
 
   union {
     /* ENTRY_BOOL */
@@ -242,7 +242,7 @@ static bool is_secfile_entry_name_valid(const char *name)
   static const char *const allowed = "_.,-[]";
 
   while ('\0' != *name) {
-    if (!fc_isalnum(*name) && NULL == strchr(allowed, *name)) {
+    if (!fc_isalnum(*name) && strchr(allowed, *name) == nullptr) {
       return FALSE;
     }
     name++;
@@ -259,7 +259,7 @@ static bool secfile_hash_insert(struct section_file *secfile,
   char buf[256];
   struct entry *hentry;
 
-  if (NULL == secfile->hash.entries) {
+  if (secfile->hash.entries == nullptr) {
     /* Consider as success if this secfile doesn't have built the entries
      * hash table. */
     return TRUE;
@@ -267,7 +267,7 @@ static bool secfile_hash_insert(struct section_file *secfile,
 
   entry_path(pentry, buf, sizeof(buf));
   if (entry_hash_replace_full(secfile->hash.entries, buf, pentry,
-                              NULL, &hentry)) {
+                              nullptr, &hentry)) {
     entry_use(hentry);
     if (!secfile->allow_duplicates) {
       SECFILE_LOG(secfile, entry_section(hentry),
@@ -287,7 +287,7 @@ static bool secfile_hash_delete(struct section_file *secfile,
 {
   char buf[256];
 
-  if (NULL == secfile->hash.entries) {
+  if (secfile->hash.entries == nullptr) {
     /* Consider as success if this secfile doesn't have built the entries
      * hash table. */
     return TRUE;
@@ -306,8 +306,8 @@ static struct section_file *secfile_from_input_file(struct inputfile *inf,
                                                     bool allow_duplicates)
 {
   struct section_file *secfile;
-  struct section *psection = NULL;
-  struct section *single_section = NULL;
+  struct section *psection = nullptr;
+  struct section *single_section = nullptr;
   bool table_state = FALSE;     /* TRUE when within tabular format. */
   int table_lineno = 0;         /* Row number in tabular, 0 top data row. */
   const char *tok;
@@ -319,7 +319,7 @@ static struct section_file *secfile_from_input_file(struct inputfile *inf,
   bool error = FALSE;
 
   if (!inf) {
-    return NULL;
+    return nullptr;
   }
 
   /* Assign the real value later, to speed up the creation of new entries. */
@@ -327,7 +327,7 @@ static struct section_file *secfile_from_input_file(struct inputfile *inf,
   if (filename) {
     secfile->name = fc_strdup(filename);
   } else {
-    secfile->name = NULL;
+    secfile->name = nullptr;
   }
 
   astring_vector_init(&columns);
@@ -546,10 +546,10 @@ END:
   }
   astring_vector_free(&columns);
 
-  if (section != NULL) {
+  if (section != nullptr) {
     if (!found_my_section) {
       secfile_destroy(secfile);
-      return NULL;
+      return nullptr;
     }
 
     /* Build the entry hash table with single section information */
@@ -557,7 +557,7 @@ END:
     entry_list_iterate(section_entries(single_section), pentry) {
       if (!secfile_hash_insert(secfile, pentry)) {
         secfile_destroy(secfile);
-        return NULL;
+        return nullptr;
       }
     } entry_list_iterate_end;
 
@@ -583,7 +583,7 @@ END:
   }
   if (error) {
     secfile_destroy(secfile);
-    return NULL;
+    return nullptr;
   } else {
     return secfile;
   }
@@ -591,7 +591,7 @@ END:
 
 /**********************************************************************//**
   Create a section file from a file, read only one particular section.
-  Returns NULL on error.
+  Returns nullptr on error.
 **************************************************************************/
 struct section_file *secfile_load_section(const char *filename,
                                           const char *section,
@@ -605,13 +605,13 @@ struct section_file *secfile_load_section(const char *filename,
 }
 
 /**********************************************************************//**
-  Create a section file from a stream.  Returns NULL on error.
+  Create a section file from a stream. Returns nullptr on error.
 **************************************************************************/
 struct section_file *secfile_from_stream(fz_FILE *stream,
                                          bool allow_duplicates)
 {
   return secfile_from_input_file(inf_from_stream(stream, datafilename),
-                                 NULL, NULL, allow_duplicates);
+                                 nullptr, nullptr, allow_duplicates);
 }
 
 /**********************************************************************//**
@@ -652,9 +652,9 @@ bool secfile_save(const struct section_file *secfile, const char *filename,
   struct entry *pentry, *col_pentry;
   int i;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, FALSE);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, FALSE);
 
-  if (NULL == filename) {
+  if (filename == nullptr) {
     filename = secfile->name;
   }
 
@@ -663,7 +663,7 @@ bool secfile_save(const struct section_file *secfile, const char *filename,
                     compression_method, compression_level);
 
   if (!fs) {
-    SECFILE_LOG(secfile, NULL, _("Could not open %s for writing"), real_filename);
+    SECFILE_LOG(secfile, nullptr, _("Could not open %s for writing"), real_filename);
 
     return FALSE;
   }
@@ -703,7 +703,7 @@ bool secfile_save(const struct section_file *secfile, const char *filename,
 
         /* Tables: break out of this loop if this is a non-table
          * entry (pentry and ent_iter unchanged) or after table (pentry
-         * and ent_iter suitably updated, pentry possibly NULL).
+         * and ent_iter suitably updated, pentry possibly nullptr).
          * After each table, loop again in case the next entry
          * is another table.
          */
@@ -859,7 +859,7 @@ bool secfile_save(const struct section_file *secfile, const char *filename,
           for (i = 1;; i++) {
             col_iter = entry_list_link_next(ent_iter);
             col_pentry = entry_list_link_data(col_iter);
-            if (NULL == col_pentry || col_pentry->type == ENTRY_LONG_COMMENT) {
+            if (col_pentry == nullptr || col_pentry->type == ENTRY_LONG_COMMENT) {
               break;
             }
             fc_snprintf(pentry_name, sizeof(pentry_name),
@@ -884,13 +884,13 @@ bool secfile_save(const struct section_file *secfile, const char *filename,
   } section_list_iterate_end;
 
   if (0 != fz_ferror(fs)) {
-    SECFILE_LOG(secfile, NULL, "Error before closing %s: %s", 
+    SECFILE_LOG(secfile, nullptr, "Error before closing %s: %s",
                 real_filename, fz_strerror(fs));
     fz_fclose(fs);
     return FALSE;
   }
   if (0 != fz_fclose(fs)) {
-    SECFILE_LOG(secfile, NULL, "Error closing %s", real_filename);
+    SECFILE_LOG(secfile, nullptr, "Error closing %s", real_filename);
     return FALSE;
   }
 
@@ -917,12 +917,12 @@ void secfile_check_unused(const struct section_file *secfile)
         }
         if (are_deprecation_warnings_enabled()) {
           log_deprecation_always("%s: unused entry: %s.%s",
-                                 secfile->name != NULL ? secfile->name : "nameless",
+                                 secfile->name != nullptr ? secfile->name : "nameless",
                                  section_name(psection), entry_name(pentry));
         } else {
 #ifdef FREECIV_TESTMATIC
           log_testmatic("%s: unused entry: %s.%s",
-                        secfile->name != NULL ? secfile->name : "nameless",
+                        secfile->name != nullptr ? secfile->name : "nameless",
                         section_name(psection), entry_name(pentry));
 #else  /* FREECIV_TESTMATIC */
           log_verbose("  unused entry: %s.%s",
@@ -942,8 +942,8 @@ void secfile_check_unused(const struct section_file *secfile)
 **************************************************************************/
 const char *secfile_name(const struct section_file *secfile)
 {
-  if (NULL == secfile) {
-    return "NULL";
+  if (secfile == nullptr) {
+    return "nullptr";
   } else if (secfile->name) {
     return secfile->name;
   } else {
@@ -966,9 +966,9 @@ static struct section *secfile_insert_base(struct section_file *secfile,
 
   ent_name = strchr(fullpath, '.');
   if (!ent_name) {
-    SECFILE_LOG(secfile, NULL,
+    SECFILE_LOG(secfile, nullptr,
                 "Section and entry names must be separated by a dot.");
-    return NULL;
+    return nullptr;
   }
 
   /* Separates section and entry names. */
@@ -993,10 +993,10 @@ struct entry *secfile_insert_bool_full(struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH];
   const char *ent_name;
   struct section *psection;
-  struct entry *pentry = NULL;
+  struct entry *pentry = nullptr;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -1004,28 +1004,28 @@ struct entry *secfile_insert_bool_full(struct section_file *secfile,
 
   psection = secfile_insert_base(secfile, fullpath, &ent_name);
   if (!psection) {
-    return NULL;
+    return nullptr;
   }
 
   if (allow_replace) {
     pentry = section_entry_by_name(psection, ent_name);
-    if (NULL != pentry) {
+    if (pentry != nullptr) {
       if (ENTRY_BOOL == entry_type_get(pentry)) {
         if (!entry_bool_set(pentry, value)) {
-          return NULL;
+          return nullptr;
         }
       } else {
         entry_destroy(pentry);
-        pentry = NULL;
+        pentry = nullptr;
       }
     }
   }
 
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     pentry = section_entry_bool_new(psection, ent_name, value);
   }
 
-  if (NULL != pentry && NULL != comment) {
+  if (pentry != nullptr && comment != nullptr) {
     entry_set_comment(pentry, comment);
   }
 
@@ -1033,8 +1033,8 @@ struct entry *secfile_insert_bool_full(struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Insert 'dim' boolean entries at 'path,0', 'path,1' etc.  Returns 
-  the number of entries inserted or replaced.
+  Insert 'dim' boolean entries at 'path,0', 'path,1' etc.
+  Returns the number of entries inserted or replaced.
 **************************************************************************/
 size_t secfile_insert_bool_vec_full(struct section_file *secfile,
                                     const bool *values, size_t dim,
@@ -1045,23 +1045,23 @@ size_t secfile_insert_bool_vec_full(struct section_file *secfile,
   size_t i, ret = 0;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, 0);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
-  /* NB: 'path,0' is actually 'path'.  See comment in the head
+  /* NB: 'path,0' is actually 'path'. See comment in the head
    * of the file. */
   if (dim > 0
-      && NULL != secfile_insert_bool_full(secfile, values[0], comment,
-                                          allow_replace, "%s", fullpath)) {
+      && secfile_insert_bool_full(secfile, values[0], comment,
+                                  allow_replace, "%s", fullpath) != nullptr) {
     ret++;
   }
   for (i = 1; i < dim; i++) {
-    if (NULL != secfile_insert_bool_full(secfile, values[i], comment,
-                                         allow_replace, "%s,%d",
-                                         fullpath, (int) i)) {
+    if (secfile_insert_bool_full(secfile, values[i], comment,
+                                 allow_replace, "%s,%d",
+                                 fullpath, (int) i) != nullptr) {
       ret++;
     }
   }
@@ -1080,10 +1080,10 @@ struct entry *secfile_insert_int_full(struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH];
   const char *ent_name;
   struct section *psection;
-  struct entry *pentry = NULL;
+  struct entry *pentry = nullptr;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -1091,28 +1091,28 @@ struct entry *secfile_insert_int_full(struct section_file *secfile,
 
   psection = secfile_insert_base(secfile, fullpath, &ent_name);
   if (!psection) {
-    return NULL;
+    return nullptr;
   }
 
   if (allow_replace) {
     pentry = section_entry_by_name(psection, ent_name);
-    if (NULL != pentry) {
+    if (pentry != nullptr) {
       if (ENTRY_INT == entry_type_get(pentry)) {
         if (!entry_int_set(pentry, value)) {
-          return NULL;
+          return nullptr;
         }
       } else {
         entry_destroy(pentry);
-        pentry = NULL;
+        pentry = nullptr;
       }
     }
   }
 
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     pentry = section_entry_int_new(psection, ent_name, value);
   }
 
-  if (NULL != pentry && NULL != comment) {
+  if (pentry != nullptr && comment != nullptr) {
     entry_set_comment(pentry, comment);
   }
 
@@ -1120,8 +1120,8 @@ struct entry *secfile_insert_int_full(struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Insert 'dim' integer entries at 'path,0', 'path,1' etc.  Returns
-  the number of entries inserted or replaced.
+  Insert 'dim' integer entries at 'path,0', 'path,1' etc.
+  Returns the number of entries inserted or replaced.
 **************************************************************************/
 size_t secfile_insert_int_vec_full(struct section_file *secfile,
                                    const int *values, size_t dim,
@@ -1132,23 +1132,23 @@ size_t secfile_insert_int_vec_full(struct section_file *secfile,
   size_t i, ret = 0;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, 0);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
-  /* NB: 'path,0' is actually 'path'.  See comment in the head
+  /* NB: 'path,0' is actually 'path'. See comment in the head
    * of the file. */
   if (dim > 0
-      && NULL != secfile_insert_int_full(secfile, values[0], comment,
-                                         allow_replace, "%s", fullpath)) {
+      && secfile_insert_int_full(secfile, values[0], comment,
+                                 allow_replace, "%s", fullpath) != nullptr) {
     ret++;
   }
   for (i = 1; i < dim; i++) {
-    if (NULL != secfile_insert_int_full(secfile, values[i], comment,
-                                        allow_replace, "%s,%d",
-                                        fullpath, (int) i)) {
+    if (secfile_insert_int_full(secfile, values[i], comment,
+                                allow_replace, "%s,%d",
+                                fullpath, (int) i) != nullptr) {
       ret++;
     }
   }
@@ -1167,10 +1167,10 @@ struct entry *secfile_insert_float_full(struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH];
   const char *ent_name;
   struct section *psection;
-  struct entry *pentry = NULL;
+  struct entry *pentry = nullptr;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -1178,28 +1178,28 @@ struct entry *secfile_insert_float_full(struct section_file *secfile,
 
   psection = secfile_insert_base(secfile, fullpath, &ent_name);
   if (!psection) {
-    return NULL;
+    return nullptr;
   }
 
   if (allow_replace) {
     pentry = section_entry_by_name(psection, ent_name);
-    if (NULL != pentry) {
+    if (pentry != nullptr) {
       if (ENTRY_FLOAT == entry_type_get(pentry)) {
         if (!entry_float_set(pentry, value)) {
-          return NULL;
+          return nullptr;
         }
       } else {
         entry_destroy(pentry);
-        pentry = NULL;
+        pentry = nullptr;
       }
     }
   }
 
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     pentry = section_entry_float_new(psection, ent_name, value);
   }
 
-  if (NULL != pentry && NULL != comment) {
+  if (pentry != nullptr && comment != nullptr) {
     entry_set_comment(pentry, comment);
   }
 
@@ -1217,14 +1217,14 @@ struct section *secfile_insert_include(struct section_file *secfile,
 
   fc_snprintf(buffer, sizeof(buffer), "include_%u", secfile->num_includes++);
 
-  fc_assert_ret_val(secfile_section_by_name(secfile, buffer) == NULL, NULL);
+  fc_assert_ret_val(secfile_section_by_name(secfile, buffer) == nullptr, nullptr);
 
   /* Create include section. */
   psection = secfile_section_new(secfile, buffer);
   psection->special = EST_INCLUDE;
 
   /* Then add string entry "file" to it. */
-  secfile_insert_str_full(secfile, filename, NULL, FALSE, FALSE,
+  secfile_insert_str_full(secfile, filename, nullptr, FALSE, FALSE,
                           EST_INCLUDE, "%s.file", buffer);
 
   return psection;
@@ -1241,14 +1241,14 @@ struct section *secfile_insert_long_comment(struct section_file *secfile,
 
   fc_snprintf(buffer, sizeof(buffer), "long_comment_%u", secfile->num_long_comments++);
 
-  fc_assert_ret_val(secfile_section_by_name(secfile, buffer) == NULL, NULL);
+  fc_assert_ret_val(secfile_section_by_name(secfile, buffer) == nullptr, nullptr);
 
   /* Create long comment section. */
   psection = secfile_section_new(secfile, buffer);
   psection->special = EST_COMMENT;
 
   /* Then add string entry "comment" to it. */
-  secfile_insert_str_full(secfile, comment, NULL, FALSE, TRUE,
+  secfile_insert_str_full(secfile, comment, nullptr, FALSE, TRUE,
                           EST_COMMENT, "%s.comment", buffer);
 
   return psection;
@@ -1268,10 +1268,10 @@ struct entry *secfile_insert_str_full(struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH];
   const char *ent_name;
   struct section *psection;
-  struct entry *pentry = NULL;
+  struct entry *pentry = nullptr;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -1279,33 +1279,33 @@ struct entry *secfile_insert_str_full(struct section_file *secfile,
 
   psection = secfile_insert_base(secfile, fullpath, &ent_name);
   if (!psection) {
-    return NULL;
+    return nullptr;
   }
 
   if (psection->special != stype) {
     log_error("Tried to insert wrong type of entry to section");
-    return NULL;
+    return nullptr;
   }
 
   if (allow_replace) {
     pentry = section_entry_by_name(psection, ent_name);
-    if (NULL != pentry) {
+    if (pentry != nullptr) {
       if (ENTRY_STR == entry_type_get(pentry)) {
         if (!entry_str_set(pentry, str)) {
-          return NULL;
+          return nullptr;
         }
       } else {
         entry_destroy(pentry);
-        pentry = NULL;
+        pentry = nullptr;
       }
     }
   }
 
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     pentry = section_entry_str_new(psection, ent_name, str, !no_escape);
   }
 
-  if (NULL != pentry && NULL != comment) {
+  if (pentry != nullptr && comment != nullptr) {
     entry_set_comment(pentry, comment);
   }
 
@@ -1326,10 +1326,10 @@ struct entry *secfile_insert_comment(struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH];
   const char *ent_name;
   struct section *psection;
-  struct entry *pentry = NULL;
+  struct entry *pentry = nullptr;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -1339,12 +1339,12 @@ struct entry *secfile_insert_comment(struct section_file *secfile,
 
   psection = secfile_insert_base(secfile, fullpath, &ent_name);
   if (!psection) {
-    return NULL;
+    return nullptr;
   }
 
   if (psection->special != EST_NORMAL) {
     log_error("Tried to insert wrong type of entry to section");
-    return NULL;
+    return nullptr;
   }
 
   pentry = section_entry_comment_new(psection, str);
@@ -1353,8 +1353,8 @@ struct entry *secfile_insert_comment(struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Insert 'dim' string entries at 'path,0', 'path,1' etc. Returns
-  the number of entries inserted or replaced.
+  Insert 'dim' string entries at 'path,0', 'path,1' etc.
+  Returns the number of entries inserted or replaced.
 **************************************************************************/
 size_t secfile_insert_str_vec_full(struct section_file *secfile,
                                    const char *const *strings, size_t dim,
@@ -1365,24 +1365,24 @@ size_t secfile_insert_str_vec_full(struct section_file *secfile,
   size_t i, ret = 0;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, 0);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
-  /* NB: 'path,0' is actually 'path'.  See comment in the head
+  /* NB: 'path,0' is actually 'path'. See comment in the head
    * of the file. */
   if (dim > 0
-      && NULL != secfile_insert_str_full(secfile, strings[0], comment,
-                                         allow_replace, no_escape, FALSE,
-                                         "%s", fullpath)) {
+      && secfile_insert_str_full(secfile, strings[0], comment,
+                                 allow_replace, no_escape, FALSE,
+                                 "%s", fullpath) != nullptr) {
     ret++;
   }
   for (i = 1; i < dim; i++) {
-    if (NULL != secfile_insert_str_full(secfile, strings[i], comment,
-                                        allow_replace, no_escape, FALSE,
-                                        "%s,%d", fullpath, (int) i)) {
+    if (secfile_insert_str_full(secfile, strings[i], comment,
+                                allow_replace, no_escape, FALSE,
+                                "%s,%d", fullpath, (int) i) != nullptr) {
       ret++;
     }
   }
@@ -1400,10 +1400,10 @@ struct entry *secfile_insert_filereference(struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH];
   const char *ent_name;
   struct section *psection;
-  struct entry *pentry = NULL;
+  struct entry *pentry = nullptr;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -1411,15 +1411,15 @@ struct entry *secfile_insert_filereference(struct section_file *secfile,
 
   psection = secfile_insert_base(secfile, fullpath, &ent_name);
   if (!psection) {
-    return NULL;
+    return nullptr;
   }
 
   if (psection->special != EST_NORMAL) {
     log_error("Tried to insert normal entry to different kind of section");
-    return NULL;
+    return nullptr;
   }
 
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     pentry = section_entry_filereference_new(psection, ent_name, filename);
   }
 
@@ -1440,13 +1440,13 @@ struct entry *secfile_insert_plain_enum_full(struct section_file *secfile,
   const char *str;
   const char *ent_name;
   struct section *psection;
-  struct entry *pentry = NULL;
+  struct entry *pentry = nullptr;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != name_fn, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, name_fn != nullptr, nullptr);
   str = name_fn(enumerator);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != str, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, str != nullptr, nullptr);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
@@ -1454,28 +1454,28 @@ struct entry *secfile_insert_plain_enum_full(struct section_file *secfile,
 
   psection = secfile_insert_base(secfile, fullpath, &ent_name);
   if (!psection) {
-    return NULL;
+    return nullptr;
   }
 
   if (allow_replace) {
     pentry = section_entry_by_name(psection, ent_name);
-    if (NULL != pentry) {
+    if (pentry != nullptr) {
       if (ENTRY_STR == entry_type_get(pentry)) {
         if (!entry_str_set(pentry, str)) {
-          return NULL;
+          return nullptr;
         }
       } else {
         entry_destroy(pentry);
-        pentry = NULL;
+        pentry = nullptr;
       }
     }
   }
 
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     pentry = section_entry_str_new(psection, ent_name, str, TRUE);
   }
 
-  if (NULL != pentry && NULL != comment) {
+  if (pentry != nullptr && comment != nullptr) {
     entry_set_comment(pentry, comment);
   }
 
@@ -1483,8 +1483,8 @@ struct entry *secfile_insert_plain_enum_full(struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Insert 'dim' string entries at 'path,0', 'path,1' etc.  Returns
-  the number of entries inserted or replaced.
+  Insert 'dim' string entries at 'path,0', 'path,1' etc.
+  Returns the number of entries inserted or replaced.
 **************************************************************************/
 size_t secfile_insert_plain_enum_vec_full(struct section_file *secfile,
                                           const int *enumurators, size_t dim,
@@ -1497,27 +1497,27 @@ size_t secfile_insert_plain_enum_vec_full(struct section_file *secfile,
   size_t i, ret = 0;
   va_list args;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, 0);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != name_fn, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, 0);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, name_fn != nullptr, 0);
 
   va_start(args, path);
   fc_vsnprintf(fullpath, sizeof(fullpath), path, args);
   va_end(args);
 
-  /* NB: 'path,0' is actually 'path'.  See comment in the head
+  /* NB: 'path,0' is actually 'path'. See comment in the head
    * of the file. */
   if (dim > 0
-      && NULL != secfile_insert_plain_enum_full(secfile, enumurators[0],
-                                                name_fn, comment,
-                                                allow_replace, "%s",
-                                                fullpath)) {
+      && secfile_insert_plain_enum_full(secfile, enumurators[0],
+                                        name_fn, comment,
+                                        allow_replace, "%s",
+                                        fullpath) != nullptr) {
     ret++;
   }
   for (i = 1; i < dim; i++) {
-    if (NULL != secfile_insert_plain_enum_full(secfile, enumurators[i],
-                                               name_fn, comment,
-                                               allow_replace, "%s,%d",
-                                               fullpath, (int) i)) {
+    if (secfile_insert_plain_enum_full(secfile, enumurators[i],
+                                       name_fn, comment,
+                                       allow_replace, "%s,%d",
+                                       fullpath, (int) i) != nullptr) {
       ret++;
     }
   }
@@ -1545,15 +1545,15 @@ struct entry *secfile_insert_bitwise_enum_full(struct section_file *secfile,
   char fullpath[MAX_LEN_SECPATH], str[MAX_LEN_SECPATH];
   const char *ent_name;
   struct section *psection;
-  struct entry *pentry = NULL;
+  struct entry *pentry = nullptr;
   va_list args;
   int i;
 
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != secfile, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != name_fn, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != begin_fn, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != end_fn, NULL);
-  SECFILE_RETURN_VAL_IF_FAIL(secfile, NULL, NULL != next_fn, NULL);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, secfile != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, name_fn != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, begin_fn != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, end_fn != nullptr, nullptr);
+  SECFILE_RETURN_VAL_IF_FAIL(secfile, nullptr, next_fn != nullptr, nullptr);
 
   /* Compute a string containing all the values separated by '|'. */
   str[0] = '\0';     /* Insert at least an empty string. */
@@ -1575,28 +1575,28 @@ struct entry *secfile_insert_bitwise_enum_full(struct section_file *secfile,
 
   psection = secfile_insert_base(secfile, fullpath, &ent_name);
   if (!psection) {
-    return NULL;
+    return nullptr;
   }
 
   if (allow_replace) {
     pentry = section_entry_by_name(psection, ent_name);
-    if (NULL != pentry) {
+    if (pentry != nullptr) {
       if (ENTRY_STR == entry_type_get(pentry)) {
         if (!entry_str_set(pentry, str)) {
-          return NULL;
+          return nullptr;
         }
       } else {
         entry_destroy(pentry);
-        pentry = NULL;
+        pentry = nullptr;
       }
     }
   }
 
-  if (NULL == pentry) {
+  if (pentry == nullptr) {
     pentry = section_entry_str_new(psection, ent_name, str, TRUE);
   }
 
-  if (NULL != pentry && NULL != comment) {
+  if (pentry != nullptr && comment != nullptr) {
     entry_set_comment(pentry, comment);
   }
 
@@ -1604,8 +1604,8 @@ struct entry *secfile_insert_bitwise_enum_full(struct section_file *secfile,
 }
 
 /**********************************************************************//**
-  Insert 'dim' string entries at 'path,0', 'path,1' etc.  Returns
-  the number of entries inserted or replaced.
+  Insert 'dim' string entries at 'path,0', 'path,1' etc.
+  Returns the number of entries inserted or replaced.
 **************************************************************************/
 size_t secfile_insert_bitwise_enum_vec_full(struct section_file *secfile,
                                             const int *bitwise_vals,
